Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class ScriptDataSetDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
          org.eclipse.birt.data.engine.api.querydefn.ScriptDataSetDesign

All Implemented Interfaces:
  IBaseDataSetDesign, IScriptDataSetDesign

    public class ScriptDataSetDesign

extends BaseDataSetDesign
implements IScriptDataSetDesign

Default implementation of `IScriptDataSetDesign` interface.

Constructor Summary
`ScriptDataSetDesign(java.lang.String name)` Constructs a script data set with the specified name
`ScriptDataSetDesign(java.lang.String name, java.lang.String dataSourceName)` Constructs a script data set with the specified name and data source name

Method Summary
`java.lang.String` | `getCloseScript()` Gets the Close script for closing the data set.
`java.lang.String` | `getDescribeScript()` Gets the Describe script for describing the data set's result columns metadata.
`java.lang.String` | `getFetchScript()` Gets the Fetch script that creates, populates and returns an object of type DataRow.
`java.lang.String` | `getOpenScript()` Gets the Open script for opening the data set.
`void` | `setCloseScript(java.lang.String script)` Specifies the `close` script for closing the data set.
`void` | `setDescribeScript(java.lang.String script)` Specifies the `describe` script for providing the data set metadata
`void` | `setFetchScript(java.lang.String script)` Specifies the `fetch` script for fetching each data row.
`void` | `setOpenScript(java.lang.String script)` Specifies the `open` script for opening the data set.

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
`addComputedColumn, addFilter, addInputParamBinding, addParameter, addResultSetHint, getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setAfterCloseScript, setAfterOpenScript, setBeforeCloseScript, setBeforeOpenScript, setCacheRowCount, setDataSource, setDistinctValue, setEventHandler, setOnFetchScript, setRowFetchLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Constructor Detail

### ScriptDataSetDesign

    public ScriptDataSetDesign(java.lang.String name)

  Constructs a script data set with the specified name

### ScriptDataSetDesign

    public ScriptDataSetDesign(java.lang.String name,
                               java.lang.String dataSourceName)

  Constructs a script data set with the specified name and data source name

Method Detail

### getOpenScript

    public java.lang.String getOpenScript()

  Description copied from interface: `IScriptDataSetDesign`
  Gets the Open script for opening the data set.

  Specified by:
    `getOpenScript` in interface `IScriptDataSetDesign`
  Returns:
    The Open script. Null if none is defined.
  See Also:
    `IScriptDataSetDesign.getOpenScript()`

### setOpenScript

    public void setOpenScript(java.lang.String script)

  Specifies the `open` script for opening the data set.

### getFetchScript

    public java.lang.String getFetchScript()

  Description copied from interface: `IScriptDataSetDesign`
  Gets the Fetch script that creates, populates and returns an object of type DataRow.

  Specified by:
    `getFetchScript` in interface `IScriptDataSetDesign`
  Returns:
    The Fetch script.
  See Also:
    `IScriptDataSetDesign.getFetchScript()`

### setFetchScript

    public void setFetchScript(java.lang.String script)

  Specifies the `fetch` script for fetching each data row.

### getCloseScript

    public java.lang.String getCloseScript()

  Description copied from interface: `IScriptDataSetDesign`
  Gets the Close script for closing the data set.

  Specified by:
    `getCloseScript` in interface `IScriptDataSetDesign`
  Returns:
    The Close script. Null if none is defined.
  See Also:
    `IScriptDataSetDesign.getCloseScript()`

### setCloseScript

    public void setCloseScript(java.lang.String script)

  Specifies the `close` script for closing the data set.

### getDescribeScript

    public java.lang.String getDescribeScript()

  Description copied from interface: `IScriptDataSetDesign`
  Gets the Describe script for describing the data set's result columns metadata.

  Specified by:
    `getDescribeScript` in interface `IScriptDataSetDesign`
  Returns:
    The Describe script. Null if none is defined.
  See Also:
    `IScriptDataSetDesign.getDescribeScript()`

### setDescribeScript

    public void setDescribeScript(java.lang.String script)

  Specifies the `describe` script for providing the data set metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.